6.0.0-git
2019-03-20

[#7052] procmail vacation not working on Centos 3
Summary procmail vacation not working on Centos 3
Queue Ingo
Queue Version 1.2
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester eric.rostetter (at) physics (dot) utexas (dot) edu
Created 2008-07-09 (3906 days ago)
Due
Updated 2010-01-13 (3353 days ago)
Assigned 2009-09-16 (3472 days ago)
Resolved 2009-09-16 (3472 days ago)
Milestone 1.2.3
Patch No

History
2009-09-16 12:38:28 Jan Schneider Comment #44
Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 1.2.3
Reply to this comment
Luckily the patch applies without any problems on
$Horde: ingo/lib/Script/procmail.php,v 1.46.10.31 2008/11/07 16:53:43
chuck Exp $
Great! Committed, many thanks!
Btw. It's not easy to go to the FRAMEWORK_3 branche on http://cvs.horde.org/
Yes, known problem, see bug #8561.
2009-09-16 11:17:25 micha (at) kovoks (dot) nl Comment #42 Reply to this comment
Luckily the patch applies without any problems on

$Horde: ingo/lib/Script/procmail.php,v 1.46.10.31 2008/11/07 16:53:43 
chuck Exp $



Btw. It's not easy to go to the FRAMEWORK_3 branche on http://cvs.horde.org/
2009-09-16 11:01:05 Jan Schneider Comment #41 Reply to this comment
This is from an abandoned branch (see 1st.README). Either use the 
latest version from Git, or from the FRAMEWORK_3 CVS branch.
2009-09-16 10:45:16 micha (at) kovoks (dot) nl Comment #40 Reply to this comment
$Horde: ingo/lib/Script/procmail.php,v 1.100 2008/11/07 06:28:03 chuck Exp $
2009-09-16 10:33:00 Jan Schneider Comment #39
State ⇒ Feedback
Reply to this comment
1.100 of what?
2009-09-16 09:56:45 micha (at) kovoks (dot) nl Comment #38
New Attachment: procmail[2].diff Download
Reply to this comment
After enjoying my vacation, here is (finally) a patch against 1.100
2009-09-16 09:16:33 Jan Schneider State ⇒ Stalled
 
2009-09-01 11:07:14 Jan Schneider Comment #37 Reply to this comment
Have you made any progress yet?
2009-08-18 13:49:25 micha (at) kovoks (dot) nl Comment #36 Reply to this comment
I'll rewrite it for cvs then. Will take a day of two probably
2009-08-18 13:22:00 Jan Schneider Comment #35 Reply to this comment
No, that's the patch I was trying.
2009-08-18 13:17:11 micha (at) kovoks (dot) nl Comment #34 Reply to this comment
The ingofix2.diff does apply I hope?
2009-08-18 13:10:05 Jan Schneider Comment #33
Taken from Horde DevelopersHorde Developers
Reply to this comment
The patch doesn't apply to procmail.php.
2009-08-18 13:03:17 Jan Schneider Deleted Original Message
 
2009-08-18 13:03:04 Jan Schneider Deleted Original Message
 
2009-07-13 09:55:03 micha (at) kovoks (dot) nl Comment #32 Reply to this comment
Not at all, I was just trying to say why it to longer to react to your 
request. I just mean to say:

1. I've fixed some issues, please import these. I think they will 
solve several issues.



2. I will not test this specific case (#7052) so if the o.p. doesn't 
react please close this case and let's go on to other issues.


2009-07-13 09:49:50 Jan Schneider Comment #31 Reply to this comment
So you are *not* longer interested in maintaining those drivers? Is 
that what you are saying?
2009-07-11 19:10:19 micha (at) kvoks (dot) nl Comment #30 Reply to this comment
Uhm, what does this have to with our questions?
Hmm, maybe a long way to say, please use my patches and close this case.
2009-07-11 17:13:32 Jan Schneider Comment #29
Taken from Matt Selsky
State ⇒ Feedback
Reply to this comment
Uhm, what does this have to with our questions?
2009-06-29 12:49:07 micha (at) kovoks (dot) nl Comment #28 Reply to this comment
Sorry, you haven't heared from me, but i've became a father for the 
second time ;-) We still use my patch on several customer servers 
without problems. I'm unable to try it on CentoOS3 and I can't be 
botherd to install such an old version of CentOS, sorry.
2009-06-28 16:26:35 Chuck Hagenbuch State ⇒ No Feedback
 
2009-06-07 10:01:52 Jan Schneider Comment #27 Reply to this comment
Ping (once again)?
2009-05-28 03:30:34 Chuck Hagenbuch Comment #26
State ⇒ Feedback
Reply to this comment
That would be great indeed - how do you want to handle this? Submit 
patches, or commit access, or?



Thanks!
2009-05-26 12:19:49 Jan Schneider Comment #25 Reply to this comment
That would be great. We desperately need dedicated maintainers for 
those drivers.
2009-05-26 12:14:36 micha (at) kovoks (dot) nl Comment #24 Reply to this comment
I've provided patches which we have been testing for a lot of our 
customers. If you dont mind,we would like to take over maintainership 
for this part of horde.




2009-05-26 11:38:26 Jan Schneider Comment #23
State ⇒ No Feedback
Reply to this comment
Giving up. With the current support for the maildrop and procmail 
drivers, we should consider dropping them.
2009-05-13 16:11:18 Jan Schneider Comment #22 Reply to this comment
Ping?
2009-04-24 10:27:40 Jan Schneider Comment #21
State ⇒ Feedback
Reply to this comment
Volker, Eric, does this patch work for you?
2009-04-24 10:26:13 Jan Schneider Deleted Original Message
 
2009-04-24 09:59:45 micha (at) kovoks (dot) nl Comment #20
New Attachment: ingofix2.diff Download
Reply to this comment
There was more wrong with the procmail vacation script that was 
produced. Put some time in it and came up with the following diff. I 
think the resulting script is also easier to read
2009-04-16 22:32:14 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2009-04-14 13:09:00 micha (at) kovoks (dot) nl Comment #19
New Attachment: ingofix.diff
Reply to this comment
The

:0

/dev/null



surely breaks things in lenny. The patch we use and seems to solve 
most problems is attached. The {'s shouldn't start a new copy at all 
reading the documentation:





{      Followed by at least one space, tab or newline will mark the 
start of a nesting block.  Everything up  till  the  next closing   
brace  will depend on the conditions specified for this recipe.   
Unlimited nesting is permitted.  The closing brace exists merely to 
delimit the block, it will not cause procmail to terminate in any way. 
  If the end of  a  block is  reached  processing will continue as 
usual after the block.  On a nesting block, the flags ‘H’ and ‘B’ only 
affect the conditions leading up to the block, the flags ‘h’ and ‘b’ 
have no effect whatsoever.
2009-04-13 16:04:26 Jan Schneider State ⇒ Feedback
 
2009-04-13 16:04:08 Jan Schneider Comment #18 Reply to this comment
Can anybody using Procmail provide a working and compatible solution 
for this issue?
2008-09-22 16:55:11 Jan Schneider Priority ⇒ 2. Medium
 
2008-09-12 15:53:49 Jan Schneider Milestone ⇒ 1.2.2
 
2008-09-12 15:53:39 Jan Schneider State ⇒ Assigned
 
2008-09-12 15:23:27 horde (at) volkerthen (dot) com Comment #17 Reply to this comment
Hi,



the procmail vacation script isn't working in the new ingo release (1.2.1).



It seems that the new /dev/null method breaks the script entirely: No

vacation message is being sent and, even worse, incoming mails are not 
being delivered to

the Inbox anymore. Seems they are copied to /dev/null!



When commenting these lines



:0

/dev/null



the script works fine again.



Seems that this fix has never been tested against other operating 
systems than Centos 3.



I'm using standard packages on a Debian etch machine.



Bye



Volker




2008-08-18 12:29:32 Jan Schneider Comment #16
State ⇒ Resolved
Reply to this comment
Committed and merged, in absence of any feedback, thanks.
2008-08-18 12:28:35 CVS Commit Comment #15 Reply to this comment
2008-08-18 12:20:41 Matt Selsky Comment #14
New Attachment: procmail[1].diff
Reply to this comment
Try this.
2008-08-18 09:35:39 Jan Schneider Comment #13 Reply to this comment
This patch doesn't apply to CVS HEAD.
2008-08-14 22:47:07 Jan Schneider Comment #12 Reply to this comment
Ping?
2008-07-30 06:00:57 Matt Selsky State ⇒ Feedback
 
2008-07-30 06:00:36 Matt Selsky Comment #11
New Attachment: procmail.diff
Reply to this comment
I went with the /dev/null method for now.  Can you try this out?
2008-07-30 05:50:38 Matt Selsky Comment #10 Reply to this comment
We're seeing double-delivery because the {}'s are causing procmail to 
fork another copy and we get a delivery at the end of both }.  We 
either need to deliver the inner } to /dev/null, which looks weird, or 
we eliminate the inner {}.  Which method is preferred?
2008-07-28 07:16:52 Jan Schneider Comment #9
Milestone ⇒ 1.2.1
Reply to this comment
Matt, can you please review this ticket?
2008-07-26 13:17:29 Jan Schneider State ⇒ Assigned
 
2008-07-14 20:43:44 Eric Rostetter Comment #8 (Private)
New Attachment: procmail.txt Download
[Hidden]
2008-07-14 20:26:46 Matt Selsky Comment #7 Reply to this comment
Can you post procmail debug logs for the first and second messages 
with clean databases.
2008-07-14 19:42:34 Eric Rostetter Comment #6 Reply to this comment
A very quick check seems to indicate this change is better but still 
not right.  I regenerated the .procmailrc

script with the change, emptied the .vacation.* database, then sent 
two messages from myself to the user.



  First message triggered an auto-response which I got fine, second 
didn't.  That is as expected.  But

the user (with the .procmailrc)  received  duplicate copies of each message...



Maybe there is something specific to my site causing the duplication, 
I don't know.  But I do prefer it with

this change, than without.  Since I'd rather have them get a duplicate 
of everything, than have no vacation

reply sent out.



But either something else in my setup isn't right (causing the 
duplicate), or something else in this script isn't

right (causing the duplicate).



I'll try to investigate more later, and post more when/if I figure out 
what is going on...
2008-07-14 07:15:49 Jan Schneider State ⇒ Feedback
 
2008-07-14 00:53:34 CVS Commit Comment #5 Reply to this comment
2008-07-14 00:42:39 Matt Selsky Comment #4 Reply to this comment
http://www.stimpy.net/procmail/tutorial/vacation.html suggests that we 
should be using Whc:.  Can you try that?
2008-07-12 09:04:45 Jan Schneider Assigned to Matt Selsky
State ⇒ Assigned
 
2008-07-11 20:24:28 Eric Rostetter Comment #3 (Private)
New Attachment: procmailrc Download
[Hidden]
2008-07-09 21:05:26 Matt Selsky Comment #2 Reply to this comment
Can you attach the generated procmailrc?  Or email me privately if it 
has sensitive info?
2008-07-09 20:40:49 Eric Rostetter Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ procmail vacation not working on Centos 3
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
Centos (RHEL) 3.x, sendmail 8.12.11-4.RHEL3.6, procmail 
3.22-10.el3.centos.0 (e.g., a stock Centos 3.9

Final machine).



User has setup a vacation message via ingo using the procmail driver, 
and using a time period.  (I have not

tested without the time period; should try that sometime).



Using the stock vacation procmail recipe, it sends no vacation 
messages.  The message is delieved

normally to the recipient.  The procmail log shows:



procmail: Executing "formail,-rD,8192,/u1/demkov/.vacation.demkov"

procmail: Non-zero exitcode (1) from "formail"

procmail: Rescue of unfiltered data succeeded

procmail: Non-zero exitcode (-11) from "procmail"



If I change the recipe from using "0: Whaf" to use "0: Wha" then the 
vacation message is sent properly, but

the recipient gets two copies of the message in their inbox.  This is 
preferable to not sending a vacation

message, but still not good...



I tried using Whafi, but it didn't seem to help (still got the errors 
shown above).



Any ideas what is wrong?

Saved Queries